Subject: Re: [PATCH] tests: add tests for the bash prompt functions in the completion script

From: SZEDER Gábor <[email-masked]>
Date: Mon, 16 Apr 2012 12:20:14 +0200

On Mon, Apr 16, 2012 at 01:04:41PM +0300, Felipe Contreras wrote:
> >> specially since there's the plan of splitting the prompt stuff to a
> >> separate file.
> >
> > Oh, I was not aware of such a plan.  What would be the benefits of
> > such a move, why is it necessary?  Where would you split it up?  In
> > particular, what would happen with __gitdir(), which is used in many
> > completion functions and in __git_ps1() as well?
> 
> I guess __gitdir() would be duplicated, I don't think that has been discussed.
> 
> http://thread.gmane.org/gmane.comp.version-control.git/194188
> 
> Basically splitting helps for systems that use bash-completion, and
> also helps for zsh users who don't want the bash completion, but still
> want __git_ps1(). I split the file myself for this reason.

Thanks for the pointer, those are valid reasons.  I'll wait a day or
two for feedback, then resubmit as a different test script.

Gábor